Summary:	Firewall configuration application for an average end user.
Name:		gnome-lokkit
Version:	0.43
Release:        6a
Copyright:	GPL
Group:		Applications/Internet
Source:		ftp://ftp.linux.org.uk/pub/linux/alan/%{name}-0.42.tar.gz
Patch0:         gnome-lokkit-0.42-cmdline.patch
URL:		http://www.linux.org.uk/apps/lokkit.shtml
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	rp3
Requires: 	gnome-core >= 1.0.0 ipchains
BuildPrereq:    /usr/bin/db2html

%description
Lokkit is an attempt to provide firewalling for the average Linux end user.
Instead of having to configure firewall rules the Lokkit program asks a
small number of simple questions and writes a firewall rule set for you.

Lokkit is not designed to configure arbitary firewalls. To make it simple to
understand it is solely designed to handle typical dialup user and cable
modem setups. It is not the answer to a complex firewall configuration, and
it is not the equal of an expert firewall designer.

%package -n lokkit
Summary: Firewall configuration application for an average end user.
Group: Applications/Internet
Requires: ipchains

%description -n lokkit
Lokkit is an attempt to provide firewalling for the average Linux end user.
Instead of having to configure firewall rules the Lokkit program asks a
small number of simple questions and writes a firewall rule set for you.

Lokkit is not designed to configure arbitary firewalls. To make it simple to
understand it is solely designed to handle typical dialup user and cable
modem setups. It is not the answer to a complex firewall configuration, and
it is not the equal of an expert firewall designer.

%prep
%setup -q -n gnome-lokkit-0.42
%patch0 -p1 -b .cmdline

%build
export OLD_PO_FILE_INPUT=yes
./autogen.sh
automake
autoconf
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%find_lang Lokkit

%clean
rm -rf %{buildroot}

%files -f Lokkit.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sbindir}/gnome-lokkit
%attr(0600,root,root) %{_datadir}/gnome/apps/System/gnome-lokkit.desktop
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*

%files -n lokkit -f Lokkit.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sbindir}/lokkit

%changelog
* Tue Feb 12 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed new gettext problem

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- write a note at the top of /etc/sysconfig/ipchains about manual editing
  (#29129)

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- write REJECT, not DENY rules

* Tue Feb  6 2001 Bill Nottingham <notting@redhat.com>
- unlink /etc/sysconfig/ipchains if we're disabling the firewall (#26254)

* Sun Jan 21 2001 Bill Nottingham <notting@redhat.com>
- add newt frontend

* Thu Jan 18 2001 Bill Nottingham <notting@redhat.com>
- don't set up the firewall to write it; just write the info

* Tue Jan 16 2001 Bill Nottingham <notting@redhat.com>
- add a command-line version
- bump version to 0.43 at maintainer's request

* Wed Aug 23 2000 Preston Brown <pbrown@redhat.com>
- patch from alan to fix mailrelay (#16740)

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- use /etc/sysconfig/ipchains not /etc/sysconfig/firewall (#16479)
- desktop file is now mode 0600

* Thu Aug  3 2000 Matt Wilson <msw@redhat.com>
- feeling dirty for some reason about the way we do ipchains save
- removed now-merged changes in src/Makefile.am
- 0.41

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Matt Wilson <msw@redhat.com>
- changed group from Networking/Utilities to Applications/Internet

* Mon Jul 03 2000 Havoc Pennington <hp@redhat.com>
- Fix misuse of mkstemp in redhat patch (must pass it a writeable
  string, and it returns a file descriptor, not just an error code)

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>\
- require ipchains

* Wed Jun 14 2000 Preston Brown <pbrown@redhat.com>
- Adopted for winston; added ipchains-save abilities; no need for initscript

* Mon Feb 21 2000  Julian Missig  <julian@linuxpower.org>
- First version of the spec file. It seems to work.

